### Constructor

# Aravis ChunkParser new

since: 0.4.0

#### Declaration [src]

    ArvChunkParser*
    arv_chunk_parser_new (
      const char* xml,
      gsize size
    )

#### Description [src]

Creates a new chunk_parser.

Available since: 0.4.0

#### Parameters

`xml`

  Type: `const char*`

  XML genicam data.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`size`

  Type: `gsize`

  Genicam data size, -1 if NULL terminated.

#### Return value

Type: `ArvChunkParser`

A new `ArvChunkParser` object.

The caller of the function takes ownership of the data, and is responsible for freeing it.